Public Member Functions | Public Attributes | Private Member Functions | List of all members
MsWksGraphInternal::TextBox Struct Referencefinal

Internal: the textbox of a MsWksGraph ( v2-v3) More...

Inheritance diagram for MsWksGraphInternal::TextBox:

## Public Member Functions
| TextBox (Zone const &z)
| constructor More...
| ~TextBox () final
| destructor More...
Type | type () const final
| return the type More...
void | print (std::ostream &o) const final
| operator<< More...
void | fillFrame (MWAWGraphicStyle &style) const final
| add frame parameters to propList (if needed ) More...
Public Member Functions inherited from MsWksGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
virtual bool | getBinaryData (MWAWInputStreamPtr, MWAWEmbeddedObject &picture) const
| return a binary data (if known) More...
virtual float | needExtraBorderWidth () const
| return the extra border space ( if needed) More...
MWAWBox2f | getLocalBox (bool extendWithBord=true) const
| return the box More...
MWAWPosition | getPosition (MWAWPosition::AnchorTo rel) const

## Public Attributes
int | m_numPositions
| the number of positions More...
std::vector< MWAWFont > | m_fontsList
| the list of fonts More...
std::vector< int > | m_positions
| the list of positions More...
std::vector< int > | m_formats
| the list of format More...
std::string | m_text
| the text More...
MWAWParagraph::Justification | m_justify
| the paragraph alignment More...
Public Attributes inherited from MsWksGraphInternal::Zone
int | m_subType
| the type More...
int | m_zoneId
| the zone id More...
MWAWEntry | m_pos
| the file position More...
long | m_dataPos
| the data begin position More...
int | m_fileId
| the file id More...
long | m_ids [3]
| the zones id (main, previous, next) More...
int | m_page
| the page More...
MWAWBox2f | m_decal
| the local position More...
MWAWVec2f | m_finalDecal
| the final local position More...
MWAWBox2f | m_box
| local bdbox More...
int | m_line
| the line position(v1) More...
MsWksGraph::Style | m_style
| the style More...
int | m_order
| the picture order More...
std::string | m_extra
| extra data More...
bool | m_doNotSend
| a flag used to know if we need to send the data ( or if this is the part of a sub group) More...
bool | m_isSent
| true if the zone is send More...

## Private Member Functions
| TextBox (TextBox const &)=delete
TextBox & | operator= (TextBox const &)=delete

## Additional Inherited Members
Public Types inherited from MsWksGraphInternal::Zone
enum | Type { Unknown, Shape, ChartZone, Group, Pict, Text, Textv4, Bitmap, TableZone, OLE }

## Detailed Description

Internal: the textbox of a MsWksGraph ( v2-v3)

## Constructor & Destructor Documentation

## ◆ TextBox() [1/2]

MsWksGraphInternal::TextBox::TextBox | ( | Zone const & | z | ) |
| inline explicit

constructor

## ◆ ~TextBox()

MsWksGraphInternal::TextBox::~TextBox | ( |  | ) |
| final

destructor

## ◆ TextBox() [2/2]

MsWksGraphInternal::TextBox::TextBox | ( | TextBox const & |  | ) |
| private delete

## Member Function Documentation

## ◆ fillFrame()

void MsWksGraphInternal::TextBox::fillFrame | ( | MWAWGraphicStyle & | style | ) | const
| inline final virtual

add frame parameters to propList (if needed )

Reimplemented from MsWksGraphInternal::Zone.

## ◆ operator=()

TextBox& MsWksGraphInternal::TextBox::operator= | ( | TextBox const & |  | ) |
| private delete

## ◆ print()

void MsWksGraphInternal::TextBox::print | ( | std::ostream & | o | ) | const
| inline final virtual

operator<<

Reimplemented from MsWksGraphInternal::Zone.

## ◆ type()

Type MsWksGraphInternal::TextBox::type | ( |  | ) | const
| inline final virtual

return the type

Reimplemented from MsWksGraphInternal::Zone.

## Member Data Documentation

## ◆ m_fontsList

std::vector<MWAWFont> MsWksGraphInternal::TextBox::m_fontsList

the list of fonts

Referenced by MsWksGraph::readText().

## ◆ m_formats

std::vector<int> MsWksGraphInternal::TextBox::m_formats

the list of format

Referenced by MsWksGraph::readText().

## ◆ m_justify

MWAWParagraph::Justification MsWksGraphInternal::TextBox::m_justify

the paragraph alignment

## ◆ m_numPositions

int MsWksGraphInternal::TextBox::m_numPositions

the number of positions

Referenced by MsWksGraph::readText().

## ◆ m_positions

std::vector<int> MsWksGraphInternal::TextBox::m_positions

the list of positions

Referenced by MsWksGraph::readText().

## ◆ m_text

std::string MsWksGraphInternal::TextBox::m_text

the text

Referenced by MsWksGraph::readText().

The documentation for this struct was generated from the following file:

- MsWksGraph.cxx